Loading...
Searching...
No Matches
avio_read_callback.c File Reference
`#include <libavcodec/avcodec.h>`
`#include <libavformat/avformat.h>`
`#include <libavformat/avio.h>`
`#include <libavutil/file.h>`
`#include <libavutil/mem.h>`

Go to the source code of this file.

## Data Structures

struct | buffer_data

## Functions

static int | read_packet (void *opaque, uint8_t *buf, int buf_size)
int | main (int argc, char *argv[])

## Function Documentation

## read_packet()

int read_packet | ( | void * | opaque,
|  | uint8_t * | buf,
|  | int | buf_size )

static

Examples
  avio_read_callback.c.

Definition at line 42 of file avio_read_callback.c.

Referenced by avio_alloc_context(), and main().

## main()

int main | ( | int | argc,
|  | char * | argv[] )

Definition at line 59 of file avio_read_callback.c.